### File

`packages/ecl/components/ecl-list/ecl-description-list-definition-item.directive.ts`

### Description

Directive representing a container for definition list items within an ECL description list.

Applies the ECL-specific class for the list wrapper.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclDescriptionListDefinitionList]`

### Index

###### Properties
cmpClass
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class.ecl-description-list__definition-list

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class.ecl-description-list__definition-list
Type : `boolean`
Default value : `true`
Applies the ECL list container class.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

cmpClass
Type : `unknown`
Default value : `true`
Decorators : `@HostBinding('class.ecl-description-list__definition-list')`
Applies the ECL list container class.

# results matching ""

# No results matching ""